/** Shopify CDN: Minification failed

Line 702:0 Unexpected "@media"

**/
body.template-search main#MainContent {
    background: #f4f4f4;
}

.ais-facet-dropdown-wrapper.ais-facet-slider.ais-facet-price {
    background-color: white;
    border-radius: 7px;
      border: 1px solid #CCC ;
}
label.ais-range-slider--header.ais-facet--header.ais-header {
    color: #162a45;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: 32px;
    text-transform: uppercase;
    background: white;
    border-radius: 7px;
   display: flex;
    justify-content: center;
    align-items: flex-start;
    padding: 14px 20px;
    cursor: pointer;
}
.ais-RangeSlider .rheostat-background{
    border: none;
    background: #8f182d;
}
.rheostat-handle.rheostat-handle-lower {
    background: #8f182d;
}
.ais-RangeSlider .rheostat-handle{
     background: #8f182d !important;
     border:none !important;
}
.rheostat-handle.rheostat-handle-upper
 {
    background: #8f182d;
}
.ais-RangeSlider .rheostat-progress {
    background-color: #8f182d !important; 
}
/* .rheostat-marker.rheostat-marker-horizontal.rheostat-marker-large {
     display: block; 
}
.rheostat-marker.rheostat-marker-horizontal {
    display: none !important;
} */

/* price-range section */

label.ais-RefinementList-label.ais-facet--label {
   color: #162a45;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    cursor: pointer;
}
.ais-page .ais-facet {
    padding: 0 !important;
 
}
li.ais-RefinementList-item.ais-facet--item {
    padding: 16px 20px;
    border-bottom: 1px solid #CCC;
}
li.ais-RefinementList-item.ais-facet--item:last-child {
    border-bottom: none;
} 

.ais-facet-price > label.ais-header {
  cursor: pointer !important;
  display: flex !important;
  justify-content: space-between !important;
  width: 100% !important;
  box-sizing: border-box !important;
}

.ais-facet-price > label.ais-header::after {

  font-size: 18px !important;
  line-height: 1 !important;
  margin-left: auto !important;
  flex-shrink: 0 !important;
}


.ais-facet-price > input.ais-dropdown-checkbox {
  display: none !important;
}

.ais-facet-price > input.ais-dropdown-checkbox
  + .ais-facet-price-container {
  display: none !important;
}

.ais-facet-price > input.ais-dropdown-checkbox:checked
  + .ais-facet-price-container {
  display: block !important;
  padding-bottom: 20px;
}


/* Dropdown ke liye */
.ais-facet-price_range > label {
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  box-sizing: border-box;
}

.ais-facet-price_range > label::after {
  content: "⌄";
  font-size: 18px;
  line-height: 1;
  margin-left: auto;
  flex-shrink: 0;
}
.ais-facet-price_range {
  width: 100%;
}

.ais-facet-price_range > label {
  width: 100%;
}
.ais-dropdown-checkbox {
  display: none;
}

.ais-facet-price_range > .ais-dropdown-checkbox
  + .ais-facet-price-range-container {
  display: none !important;
}

.ais-facet-price_range > .ais-dropdown-checkbox:checked
  + .ais-facet-price-range-container {
  display: block !important;
}

/* VENDOR */
.ais-facet-vendor > label.ais-header {
  cursor: pointer !important;
  display: flex !important;
 
  justify-content: space-between !important;
  width: 100% !important;
  box-sizing: border-box !important;
}

.ais-facet-vendor > label.ais-header::after {

  font-size: 18px !important;
  line-height: 1 !important;
  margin-left: auto !important;
}

/* checkbox hide */
.ais-facet-vendor > input.ais-dropdown-checkbox {
  display: none !important;
}

/* CLOSED */
.ais-facet-vendor > input.ais-dropdown-checkbox
  + .ais-facet-vendor-container {
  display: none !important;
}

/* OPEN */
.ais-facet-vendor > input.ais-dropdown-checkbox:checked
  + .ais-facet-vendor-container {
  display: block !important;
}


/* TYPE */
.ais-facet-product_type > label.ais-header {
  cursor: pointer !important;
  display: flex !important;
 
  justify-content: space-between !important;
  width: 100% !important;
  box-sizing: border-box !important;
}

.ais-facet-product_type > label.ais-header::after {

  font-size: 18px !important;
  line-height: 1 !important;
  margin-left: auto !important;
}

.ais-facet-product_type > input.ais-dropdown-checkbox {
  display: none !important;
}

/* CLOSED */
.ais-facet-product_type > input.ais-dropdown-checkbox
  + .ais-facet-product_type-container {
  display: none !important;
}

/* OPEN */
.ais-facet-product_type > input.ais-dropdown-checkbox:checked
  + .ais-facet-product_type-container {
  display: block !important;

}

 /* TAGS */
.ais-facet-tags > label.ais-header {
  cursor: pointer !important;
  display: flex !important;
 
  justify-content: space-between !important;
  width: 100% !important;
  box-sizing: border-box !important;
}

.ais-facet-tags > label.ais-header::after {
  
  font-size: 18px !important;
  line-height: 1 !important;
  margin-left: auto !important;
}

.ais-facet-tags > input.ais-dropdown-checkbox {
  display: none !important;
}
.custom-search .ais-facets .ais-facet-dropdown-wrapper{
  margin-top:10px;
}

/* close */
.ais-facet-tags > input.ais-dropdown-checkbox
  + .ais-facet-tags-container {
  display: none !important;
}

/* OPEN */
.ais-facet-tags > input.ais-dropdown-checkbox:checked
  + .ais-facet-tags-container {
  display: block !important;
}
.ais-facet-price_range > label.ais-header::after,
.ais-facet-vendor > label.ais-header::after,
.ais-facet-product_type > label.ais-header::after,
.ais-facet-tags > label.ais-header::after,
.ais-facet-price > label.ais-header::after,
.ais-facet-options\.size > label.ais-header::after,
.ais-facet-options\.colour > label.ais-header::after,
.ais-facet-inventory_available > label.ais-header::after
 {
  content: "";
  width: 7px;
  height: 7px;
  border-right: 1px solid #333;
  border-bottom: 1px solid #333;
  transform: rotate(45deg);
  margin-left: auto;
  margin-right: 2px;
  margin-top: 10px;
  flex-shrink: 0;
  transition: transform 0.3s ease;
}
.ais-page .ais-RefinementList-item--selected, .ais-page .ais-facet--item:not(.ais-HierarchicalMenu-item--parent):hover {
   border-left: none !important; 
    margin-left: 0 !important;  
     padding-inline: 20px !important;
}

/* .ais-facet-dropdown-wrapper.ais-facet-conjunctive.ais-facet-options\.size ,
.ais-facet-dropdown-wrapper.ais-facet-conjunctive.ais-facet-options\.colour ,
.ais-facet-dropdown-wrapper.ais-facet-conjunctive.ais-facet-inventory_available,
.ais-facet-dropdown-wrapper.ais-facet-conjunctive.ais-facet-product_type,
.ais-facet-dropdown-wrapper.ais-facet-conjunctive.ais-facet-tags ,
.ais-facet-dropdown-wrapper.ais-facet-disjunctive.ais-facet-price_range {  */

.ais-facet-dropdown-wrapper.ais-facet-conjunctive,
.ais-facet-dropdown-wrapper.ais-facet-disjunctive { 
   background: white;
    border-radius: 7px;
    border: 1px solid #CCC;
}
li.ais-RefinementList-item.ais-facet--item.ais-RefinementList-item--selected{
    border-left: none !important; 
    padding-inline: 20px !important;
} 

/* Normal item */
.ais-RefinementList-item {
  position: relative;
}
/* Checkbox-style block */
.ais-RefinementList-item .ais-RefinementList-label {
  position: relative;
  padding-left: 30px;
  cursor: pointer;
}

/* Empty box */
.ais-RefinementList-item .ais-RefinementList-label::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 16px;
  height: 16px;
  border: 1px solid #999;
  box-sizing: border-box;
}

/* Tick when selected */
.ais-RefinementList-item.ais-RefinementList-item--selected
  .ais-RefinementList-label::after {
  content: "✓";
  position: absolute;
  left: 4px;
  top: 50%;
  transform: translateY(-50%);
  font-size: 13px;
  font-weight: 600;
  color: #666;
}
.ais-RefinementList-item .ais-RefinementList-label {
  position: relative;
  padding-left: 0;
  padding-right: 30px;
  cursor: pointer;
  display: block;
}

/* Empty checkbox */
.ais-RefinementList-item .ais-RefinementList-label::before {
  content: "";
  position: absolute;
  right: 0;
  left: auto;
  top: 50%;
  transform: translateY(-50%);
  width: 18px;
  height: 18px;
  border: 1px solid #999;
  box-sizing: border-box;
}
.ais-RefinementList-item.ais-RefinementList-item--selected
  .ais-RefinementList-label::after {
  content: "✓";
  position: absolute;
  right: 4px;
  left: auto;
  top: 50%;
  transform: translateY(-50%);
  font-size: 13px;
  font-weight: 600;
  color: #666;
}


/* clear button */
.ais-page .ais-clear-refinements-container {
    position: absolute;
    top:inherit !important ;
    bottom: -79px!important;
    width: 97%;
   right: 7px !important;
    border-radius: 7px;
}
.ais-facet-inventory_available-container.ais-facet-dropdown-container li.ais-RefinementList-item.ais-facet--item>div:after {
    opacity: 1;
    position: absolute;
    padding: 10px 0px;
    top: -9px;
    background: #ffff;
    left: 0px;
}
.ais-facet-inventory_available-container.ais-facet-dropdown-container li.ais-RefinementList-item.ais-facet--item:first-of-type>div:after {
    content: "In stock";
}
.ais-facet-inventory_available-container.ais-facet-dropdown-container li.ais-RefinementList-item.ais-facet--item:nth-of-type(2)>div:after {
    content: "Out of stock";
}
.ais-facet-inventory_available-container.ais-facet-dropdown-container li.ais-RefinementList-item.ais-facet--item>div {
    position: relative;
}
.ais-ClearRefinements {
    border-radius: 7px;
    border: 1px solid #CCC;
}
.ais-page .ais-ClearRefinements-button {
  cursor: pointer;
  border-radius: 6px;
  border: 2px solid #CCC !important;
  width: 100%;
  padding: 13px 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #162a45 !important;
  text-align: center;
  font-size: 14px;
  font-weight: 500;
  line-height: 26px;
  text-transform: uppercase;
  font-family: Barlow, sans-serif
}


.ais-current-refined-values--header.ais-facet--header.ais-header {
    display: none;
}

/* selected list */
ul.ais-current-refined-values--list {
    margin-top: 20px !important;
}
.ais-page .ais-ClearRefinements-button:hover {
 text-decoration: none !important ; 
}

.ais-page .ais-current-refined-values--link>div {
    width: 100%;
    color: white;
    background: #8f182d !important;
    border-radius: 50px;
    display: table-cell !important;
    padding: 4px 9px !important;
    padding-right:0px !important;
}
.ais-page .ais-current-refined-values--link {
  width: 100% !important;
    border-radius: 50px;
    background: #8f182d !important;
    margin:0 !important;
}
.ais-page .ais-current-refined-values--link:before {
  display:none !important;
}

.ais-page .ais-current-refined-values--link::after {
    content: "\2a2f";
    display: table-cell;
    padding: 6px 9px !important;
    vertical-align: middle;
    width: 0;
    background: #8f182d !important;
    color:white;
    border-radius: 50px;
}
.ais-page .ais-current-refined-values--label {
    font-weight: 700;
    color: white;
}

/* search icon */
.ais-RefinementList-searchBox .ais-SearchBox .ais-SearchBox-input {
  padding-left: 8px !important;
  padding-block: 20px !important;
  width: 100%;
  background: #e5e5e5a8;
  border: 1px solid #CCC !important;
  border-radius: 5px;
}
.ais-RefinementList-searchBox .ais-SearchBox .ais-SearchBox-submit{
  padding: 20px ;
}

/* selected filters grid  */
ul.ais-current-refined-values--list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 6px;
}

/* input-box ya searchinput box */
.ais-RefinementList-searchBox input.ais-SearchBox-input::placeholder {
  color: #777;
  font-size: 14px ;
  font-weight: 400;
}
.ais-RefinementList-searchBox button.ais-SearchBox-submit {
  top: calc(50% - 0px) !important;
}

/* price ?? */
.ais-facet-product_type:has(> input.ais-dropdown-checkbox:checked)
  > label.ais-range-slider--header.ais-facet--header.ais-header,
.ais-facet-price_range:has(> input.ais-dropdown-checkbox:checked)
  > label.ais-range-slider--header.ais-facet--header.ais-header,
.ais-facet-vendor:has(> input.ais-dropdown-checkbox:checked)
  > label.ais-range-slider--header.ais-facet--header.ais-header,
.ais-facet-tags:has(> input.ais-dropdown-checkbox:checked)
  > label.ais-range-slider--header.ais-facet--header.ais-header,
.ais-facet-price:has(> input.ais-dropdown-checkbox:checked)
  > label.ais-range-slider--header.ais-facet--header.ais-header{
  
  border-bottom: 1px solid #CCC !important;
  border-bottom-left-radius: 0 !important;
  border-bottom-right-radius: 0 !important;
}
.ais-facet-options\.size-container,.ais-facet-options\.colour-container,
.ais-facet-inventory_available-container.ais-facet-dropdown-container {
   border-top: 1px solid #ccc;
}
form.ais-SearchBox-form{
  padding-inline: 12px;
}
li.ais-RefinementList-item.ais-facet--item:last-child {
    padding-bottom: 0;
}
.ais-page .ais-current-refined-values--link:hover>div

 {
    text-decoration: line-through;
    opacity: 0.6;
}
.ais-page .ais-current-refined-values--link:hover::after {
    opacity: 0.6;
}




/* search page products */

.aa-ItemContentTitle{
    color: #162a45;
    font-size: 16px !important;
    font-style: normal;
    font-weight: 400 !important;
    line-height: 140%;
    margin-top: 5px;
}
.aa-Source[data-autocomplete-source-id=products] .aa-ItemContentPrice {
    padding-top: 10px;
        }

.aa-Source[data-autocomplete-source-id=products] .aa-ItemContentBrand {
   color: #162a45 !important;
}
.aa-ItemContent mark {
 color:#162a45 !important;
}
.aa-SourceHeaderTitle{
  color:#162a45 !important; 
}
.aa-SourceHeaderLine {
  border-bottom: 1px solid #162a45 !important;
}
.aa-ItemIcon {
  color:#162a45 !important;
}
.aa-ItemActionButton svg{
 color:#162a45 !important;
}
.ais-page .ais-Highlight-highlighted{
   color:#162a45 !important;
}
.custom-algolia-card__variants {
    flex-direction: column;
    gap: 10px;
    display: none;
}
.custom-algolia-swatch:hover{
  border: 1px solid #1c2d4a;
}
.custom-algolia-card__variant-group {
  margin-bottom: 8px;
}
.custom-algolia-card__variant-label {
  display: none;
}
.custom-algolia-card:hover .custom-algolia-card__variants {
    display: flex;
}
.custom-algolia-card:hover .custom-algolia-card__variants:empty,
.custom-algolia-card__variants:empty{
  display:none!important;
  min-height:200px;
}
.custom-algolia-card__content .gst{
  font-size:14px;
  margin-left:2px;
  display: inline-block;
}


.custom-algolia-swatches {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 9px;
  margin-bottom: 8px;
}

.custom-algolia-swatch {
  position: relative;
  width: 40px;
  height: 40px;
  min-width: 40px;
  padding: 0;
  box-shadow:0 4px 30px #00000005;
  border: 1px solid #162945;
  border-radius: 3px;
  background-color: #fff;
  cursor: pointer;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;

  transition: border-color 0.15s ease,
              box-shadow 0.15s ease,
              opacity 0.15s ease;
}
.custom-algolia-swatch[style*="background:#fff"],
.custom-algolia-swatch[style*="background:#ffffff"],
.custom-algolia-swatch[style*="background: #fff"],
.custom-algolia-swatch[style*="background: #ffffff"] {
  border-color: #17294a;
}

.custom-algolia-swatch.is-selected::after {
    content: "";
    background: url(bundlechek.png) no-repeat center center;
    background-size: contain;
    width: 18px;
    height: 18px;
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    margin: 0 auto;
    -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}
.custom-algolia-swatch.is-selected {
  color: #17294a;
}

.custom-algolia-swatch.is-unavailable {
  opacity: 0.35;
  cursor: not-allowed;
}

.custom-algolia-sizes {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 4px;
}

.custom-algolia-size-btn {
    border-radius: 3px;
    border: 1px solid #00000033;
    background: #fff;
    box-shadow: 0 4px 30px #00000005;
    position: relative;
    padding: 5px 4px;
    text-align: center;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-transform: capitalize;
    color: #162a45;
    cursor:pointer;
    transition:
    background-color 0.15s ease,
    color 0.15s ease,
    border-color 0.15s ease;
}
.custom-algolia-size-btn:hover{
   border: 1px solid #00000033;
}
.custom-algolia-card__variants .custom-algolia-card__variant-group{
    padding-top: 10px;
}
.custom-algolia-size-btn.is-selected {
  background: #162a45;
  color: #fff;
   border: 1px solid #00000033;

}
.custom-algolia-size-btn.is-unavailable {
  opacity: 0.35;
  cursor: not-allowed;
}
.custom-algolia-card__variants{
  display:none;
}
article.bestsellerbox.custom-algolia-cardarticle.bestsellerbox.custom-algolia-card

@media (max-width: 767px) {
  .custom-algolia-swatches {
    gap: 7px;
  }

  .custom-algolia-swatch {
    width: 36px;
    height: 36px;
    min-width: 36px;
  }

  .custom-algolia-sizes {
    gap: 4px;
  }

  .custom-algolia-size-btn {
    height: 26px;
    min-width: 31px;
    padding: 3px 6px;
    font-size: 10px;
  }
}

@media (max-width: 680px) {
  .aa-DetachedOverlay .aa-Source[data-autocomplete-source-id=products] .aa-Item {
      width: calc(50% - 6px);
  }
  .aa-ItemContent {
      gap: 6px;
  }
  .aa-ItemWrapper .aa-ItemContentTitle {
      font-size: 14px!Important;
  }
  .aa-ItemIcon.aa-ItemIcon--noBorder {
      width: 18px;
      height: 20px;
  }
  .aa-ItemIcon.aa-ItemIcon--noBorder svg {
      width: 15px;
  }
  .aa-DetachedOverlay .aa-Item , 
  .aa-List  .aa-Item {
      min-height: 30px;
  }
  .aa-DetachedOverlay .aa-Panel .aa-SourceHeader {
      margin-bottom: 4px;
      margin-top: 4px;
  }
  .aa-DetachedOverlay button.aa-ItemActionButton svg {
      margin: 0px;
      width: 19px;
  }
  .aa-DetachedOverlay .aa-PanelSections {
      gap: 10px;
  }
  .aa-DetachedOverlay .aa-NoResultsLink {
      text-transform: uppercase;
      font-weight: 600;
      display: block;
      margin-left: auto;
      margin-right: auto;
      text-align: center;
  }
  .aa-DetachedOverlay p.aa-NoResultsHeader {
      font-size: 17px;
      min-height: 100px;
      display: flex;
      align-items: center;
      justify-content: center;
  }
  .aa-DetachedOverlay .aa-Source[data-autocomplete-source-id=products] .aa-ItemContentBody {
      gap: 3px;
  }
  .aa-DetachedOverlay .aa-Source[data-autocomplete-source-id=products] .aa-ItemContentPrice {
      padding-top: 4px;
  }
  
}